Bug 498756 - Socket bluetooth card needs additional config
Socket bluetooth card needs additional config
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 19:00 EDT by Kevin R. Page
Modified: 2009-05-27 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.37-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 15:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2009-05-02 19:00:32 EDT
My Socket CF bluetooth card [1] isn't automatically recognised.

Adding the following line to /etc/udev/rules.d/97-bluetooth-serial.rules fixes the problem:

SUBSYSTEM=="tty", SUBSYSTEMS=="pcmcia", ATTRS{prod_id1}=="Socket", ATTRS{prod_id2}=="CF+ Personal Network Card Rev 2.5", ENV{HCIOPTS}="socket", RUN+="bluetooth_serial"



[1] http://www.socketmobile.com/support/downloads/legacy/bluetooth/cf/
Comment 1 Kevin R. Page 2009-05-05 06:58:12 EDT
P.S. Given that the Fedora kernel still includes linux-2.6-serial-460800.patch it's likely this hardware won't work with a vanilla kernel (see bug #126403), so it's probably not worth pushing this upstream?
Comment 2 Bastien Nocera 2009-05-05 09:44:57 EDT
Dave, any reason why that patch isn't upstream yet? It was committed 23 months ago, and doesn't seem to have been touched since...
Comment 3 Kevin R. Page 2009-05-05 10:57:16 EDT
I think this thread is what happened last time:
http://lkml.org/lkml/2006/8/2/222

(originally a regression from 2.4; the patch is a port of the 2.4 code, I believe)
Comment 4 Fedora Update System 2009-05-05 11:04:25 EDT
bluez-4.37-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluez-4.37-2.fc11
Comment 5 Fedora Update System 2009-05-09 00:06:27 EDT
bluez-4.37-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4440
Comment 6 Fedora Update System 2009-05-27 15:07:03 EDT
bluez-4.37-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.